.TH wxFilePickerCtrl 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxFilePickerCtrl \- See external documentation: wxFilePickerCtrl\&.
.SH DESCRIPTION
.LP
See external documentation: wxFilePickerCtrl <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfilepickerctrl\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxPickerBase 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxFilePickerCtrl()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxFilePickerCtrl()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfilepickerctrl\&.html#wxfilepickerctrlwxfilepickerctrl>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer()) -> wxFilePickerCtrl()
.br
.RS
.LP
Equivalent to new(Parent, Id, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> wxFilePickerCtrl()
.br
.RS
.TP
Types
Option = {path, string()} | {message, string()} | {wildcard, string()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfilepickerctrl\&.html#wxfilepickerctrlwxfilepickerctrl>\&.
.RE
.LP
.B
create(This::wxFilePickerCtrl(), Parent::wxWindow() (see module wxWindow), Id::integer()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, [])\&.
.RE
.LP
.B
create(This::wxFilePickerCtrl(), Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {path, string()} | {message, string()} | {wildcard, string()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfilepickerctrl\&.html#wxfilepickerctrlcreate>\&.
.RE
.LP
.B
getPath(This::wxFilePickerCtrl()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfilepickerctrl\&.html#wxfilepickerctrlgetpath>\&.
.RE
.LP
.B
setPath(This::wxFilePickerCtrl(), Str::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfilepickerctrl\&.html#wxfilepickerctrlsetpath>\&.
.RE
.LP
.B
destroy(This::wxFilePickerCtrl()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
